View Issue Details

IDProjectCategoryView StatusLast Update
0004730Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PriorityhighSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.1 
Target Version0.2Fixed in Version0.2 
Summary0004730: refresh can trigger ERROR Assertion failed at taler-exchange-httpd_db.c:936.
DescriptionValues aren't sufficiently validated before passing them on to the DB layer.

This kills the exchange ...
TagsNo tags attached.

Activities

Christian Grothoff

2016-10-14 01:45

manager   ~0011323

Actually, the assertion was slightly wrong (should have checked against GNUNET_SYSERR, not for GNUNET_OK, as GNUNET_NO is an acceptable value). This was not input validation, as the invariant holds based on data present at the exchange.

Fixed in b1afd5e..ecce56c

Christian Grothoff

2021-09-02 18:14

manager   ~0018305

Fix committed to master branch.

Related Changesets

exchange: master 6987837f

2016-10-14 01:43:55

Christian Grothoff

Details Diff
fix 0004730: amount coult end up being zero, so check should be for SYSERR, not for OK (as zero implies NO) Affected Issues
0004730
mod - src/exchange/taler-exchange-httpd_db.c Diff File

Issue History

Date Modified Username Field Change
2016-10-13 20:59 Florian Dold New Issue
2016-10-13 20:59 Florian Dold Status new => assigned
2016-10-13 20:59 Florian Dold Assigned To => Christian Grothoff
2016-10-14 01:45 Christian Grothoff Note Added: 0011323
2016-10-14 01:45 Christian Grothoff Status assigned => resolved
2016-10-14 01:45 Christian Grothoff Fixed in Version => 0.2
2016-10-14 01:45 Christian Grothoff Resolution open => fixed
2016-10-14 01:45 Christian Grothoff Product Version => 0.1
2016-10-14 01:45 Christian Grothoff Target Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 6987837f
2021-09-02 18:14 Christian Grothoff Note Added: 0018305